<?xml version="1.0"?>
<document>
  <properties>
    <title>Multiproject Dependency Convergence Report</title>
    <author email="michal.maczka@dimatics.com">Michal Maczka</author>
  </properties>  
 <body> 
  <section name="Multiproject Dependency Convergence Report">        
     <p>
        <table>
         <tr>
             <th>Number of sub-projects:</th>
             <td>${harmonizer.NumberOfProjects}</td>
          </tr>
          <tr>
             <th>Number of dependencies (NOD):</th>
             <td>${harmonizer.NumberOfDependencies}</td>
          </tr>
          <tr>
             <th>Number of artitacts (NOA):</th>
             <td>${harmonizer.NumberOfArtifacts}</td>
          </tr>          
          <tr>
             <th>Convergence (NOD/NOA):</th>
             <td><b>${harmonizer.Convergence}</b></td>
          </tr>        
        </table>  
     </p>
     <p>
        Dependencies used in sub-projects:
        #foreach ($dep in $harmonizer.Dependencies)
          <subsection name="${dep.Id}">
           <table>
              <tr>
               #if( $dep.Clean )
               <td><img src="images/icon_success_sml.gif"/></td>
               #else 
                <td><img src="images/icon_error_sml.gif"/></td>
               #end
             <td>
               <table>
                 #foreach ($version in $dep.Versions) 
                  <tr>
                    <td width="20%">${version}</td>
                    <td>
                         <ol>
                         #foreach ($project in $dep.getProjects(${version}))  
                           #if ( $project.Url )
                              <li><a href="${project.Url}">${project.Id}</a></li>
                            #else
                               <li>${project.Id}</li>
                            #end  
                         #end
                        </ol>                        
                    </td>
                   </tr> 
                 #end  
             </table>
            </td> 
            </tr>
            </table>
          </subsection>
        #end
      </p>
    </section>
 </body>
</document>